# cc_credentials_union Struct Reference
[cc_credentials_t Overview]

## Data Fields

- cc_uint32 version
- union {
  - cc_credentials_v4_t * credentials_v4
  - cc_credentials_v5_t * credentials_v5
- } credentials

## Field Documentation

cc_uint32 version

| The credentials version of this credentials object.

cc_credentials_v4_t* credentials_v4

| If version is cc_credentials_v4, a pointer to a cc_credentials_v4_t.

cc_credentials_v5_t* credentials_v5

| If version is cc_credentials_v5, a pointer to a cc_credentials_v5_t.

union { ... } credentials

| The credentials.